dataclass\_wizard package
=========================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   dataclass_wizard.cli
   dataclass_wizard.mixins
   dataclass_wizard.utils
   dataclass_wizard.v0

Submodules
----------

dataclass\_wizard.abstractions module
-------------------------------------

.. automodule:: dataclass_wizard.abstractions
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.bases module
------------------------------

.. automodule:: dataclass_wizard.bases
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.bases\_meta module
------------------------------------

.. automodule:: dataclass_wizard.bases_meta
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.class\_helper module
--------------------------------------

.. automodule:: dataclass_wizard.class_helper
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.constants module
----------------------------------

.. automodule:: dataclass_wizard.constants
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.decorators module
-----------------------------------

.. automodule:: dataclass_wizard.decorators
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.dumpers module
--------------------------------

.. automodule:: dataclass_wizard.dumpers
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.enums module
------------------------------

.. automodule:: dataclass_wizard.enums
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.errors module
-------------------------------

.. automodule:: dataclass_wizard.errors
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.lazy\_imports module
--------------------------------------

.. automodule:: dataclass_wizard.lazy_imports
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.loader\_selection module
------------------------------------------

.. automodule:: dataclass_wizard.loader_selection
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.loaders module
--------------------------------

.. automodule:: dataclass_wizard.loaders
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.log module
----------------------------

.. automodule:: dataclass_wizard.log
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.models module
-------------------------------

.. automodule:: dataclass_wizard.models
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.parsers module
--------------------------------

.. automodule:: dataclass_wizard.parsers
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.property\_wizard module
-----------------------------------------

.. automodule:: dataclass_wizard.property_wizard
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.serial\_json module
-------------------------------------

.. automodule:: dataclass_wizard.serial_json
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.type\_def module
----------------------------------

.. automodule:: dataclass_wizard.type_def
   :members:
   :undoc-members:
   :show-inheritance:

dataclass\_wizard.wizard\_mixins module
---------------------------------------

.. automodule:: dataclass_wizard.wizard_mixins
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: dataclass_wizard
   :members:
   :undoc-members:
   :show-inheritance:
